Upstream information

CVE-2019-6978 at MITRE

Description

The GD Graphics Library (aka LibGD) 2.2.5 has a double free in the gdImage*Ptr() functions in gd_gif_out.c, gd_jpeg.c, and gd_wbmp.c. NOTE: PHP is unaffected.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None Low
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1123522 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • gd >= 2.1.0-24.12.1
  • gd-32bit >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-747
SUSE Linux Enterprise Desktop 12 SP4
  • gd >= 2.1.0-24.12.1
  • gd-32bit >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-747
SUSE Linux Enterprise Module for Basesystem 15
  • gd >= 2.2.5-4.6.1
  • libgd3 >= 2.2.5-4.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-771
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libgd3 >= 2.2.5-4.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libgd3
SUSE Linux Enterprise Module for Desktop Applications 15
  • gd >= 2.2.5-4.6.1
  • gd-devel >= 2.2.5-4.6.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-771
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • gd >= 2.2.5-4.6.1
  • gd-devel >= 2.2.5-4.6.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA gd
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php7 >= 7.0.7-50.63.1
  • php7 >= 7.0.7-50.63.1
  • php7-bcmath >= 7.0.7-50.63.1
  • php7-bz2 >= 7.0.7-50.63.1
  • php7-calendar >= 7.0.7-50.63.1
  • php7-ctype >= 7.0.7-50.63.1
  • php7-curl >= 7.0.7-50.63.1
  • php7-dba >= 7.0.7-50.63.1
  • php7-dom >= 7.0.7-50.63.1
  • php7-enchant >= 7.0.7-50.63.1
  • php7-exif >= 7.0.7-50.63.1
  • php7-fastcgi >= 7.0.7-50.63.1
  • php7-fileinfo >= 7.0.7-50.63.1
  • php7-fpm >= 7.0.7-50.63.1
  • php7-ftp >= 7.0.7-50.63.1
  • php7-gd >= 7.0.7-50.63.1
  • php7-gettext >= 7.0.7-50.63.1
  • php7-gmp >= 7.0.7-50.63.1
  • php7-iconv >= 7.0.7-50.63.1
  • php7-imap >= 7.0.7-50.63.1
  • php7-intl >= 7.0.7-50.63.1
  • php7-json >= 7.0.7-50.63.1
  • php7-ldap >= 7.0.7-50.63.1
  • php7-mbstring >= 7.0.7-50.63.1
  • php7-mcrypt >= 7.0.7-50.63.1
  • php7-mysql >= 7.0.7-50.63.1
  • php7-odbc >= 7.0.7-50.63.1
  • php7-opcache >= 7.0.7-50.63.1
  • php7-openssl >= 7.0.7-50.63.1
  • php7-pcntl >= 7.0.7-50.63.1
  • php7-pdo >= 7.0.7-50.63.1
  • php7-pear >= 7.0.7-50.63.1
  • php7-pear-Archive_Tar >= 7.0.7-50.63.1
  • php7-pgsql >= 7.0.7-50.63.1
  • php7-phar >= 7.0.7-50.63.1
  • php7-posix >= 7.0.7-50.63.1
  • php7-pspell >= 7.0.7-50.63.1
  • php7-shmop >= 7.0.7-50.63.1
  • php7-snmp >= 7.0.7-50.63.1
  • php7-soap >= 7.0.7-50.63.1
  • php7-sockets >= 7.0.7-50.63.1
  • php7-sqlite >= 7.0.7-50.63.1
  • php7-sysvmsg >= 7.0.7-50.63.1
  • php7-sysvsem >= 7.0.7-50.63.1
  • php7-sysvshm >= 7.0.7-50.63.1
  • php7-tokenizer >= 7.0.7-50.63.1
  • php7-wddx >= 7.0.7-50.63.1
  • php7-xmlreader >= 7.0.7-50.63.1
  • php7-xmlrpc >= 7.0.7-50.63.1
  • php7-xmlwriter >= 7.0.7-50.63.1
  • php7-xsl >= 7.0.7-50.63.1
  • php7-zip >= 7.0.7-50.63.1
  • php7-zlib >= 7.0.7-50.63.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2019-333
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_php53 >= 5.3.17-112.53.1
  • php53 >= 5.3.17-112.53.1
  • php53-bcmath >= 5.3.17-112.53.1
  • php53-bz2 >= 5.3.17-112.53.1
  • php53-calendar >= 5.3.17-112.53.1
  • php53-ctype >= 5.3.17-112.53.1
  • php53-curl >= 5.3.17-112.53.1
  • php53-dba >= 5.3.17-112.53.1
  • php53-dom >= 5.3.17-112.53.1
  • php53-exif >= 5.3.17-112.53.1
  • php53-fastcgi >= 5.3.17-112.53.1
  • php53-fileinfo >= 5.3.17-112.53.1
  • php53-ftp >= 5.3.17-112.53.1
  • php53-gd >= 5.3.17-112.53.1
  • php53-gettext >= 5.3.17-112.53.1
  • php53-gmp >= 5.3.17-112.53.1
  • php53-iconv >= 5.3.17-112.53.1
  • php53-intl >= 5.3.17-112.53.1
  • php53-json >= 5.3.17-112.53.1
  • php53-ldap >= 5.3.17-112.53.1
  • php53-mbstring >= 5.3.17-112.53.1
  • php53-mcrypt >= 5.3.17-112.53.1
  • php53-mysql >= 5.3.17-112.53.1
  • php53-odbc >= 5.3.17-112.53.1
  • php53-openssl >= 5.3.17-112.53.1
  • php53-pcntl >= 5.3.17-112.53.1
  • php53-pdo >= 5.3.17-112.53.1
  • php53-pear >= 5.3.17-112.53.1
  • php53-pgsql >= 5.3.17-112.53.1
  • php53-pspell >= 5.3.17-112.53.1
  • php53-shmop >= 5.3.17-112.53.1
  • php53-snmp >= 5.3.17-112.53.1
  • php53-soap >= 5.3.17-112.53.1
  • php53-suhosin >= 5.3.17-112.53.1
  • php53-sysvmsg >= 5.3.17-112.53.1
  • php53-sysvsem >= 5.3.17-112.53.1
  • php53-sysvshm >= 5.3.17-112.53.1
  • php53-tokenizer >= 5.3.17-112.53.1
  • php53-wddx >= 5.3.17-112.53.1
  • php53-xmlreader >= 5.3.17-112.53.1
  • php53-xmlrpc >= 5.3.17-112.53.1
  • php53-xmlwriter >= 5.3.17-112.53.1
  • php53-xsl >= 5.3.17-112.53.1
  • php53-zip >= 5.3.17-112.53.1
  • php53-zlib >= 5.3.17-112.53.1
Patchnames:
slessp4-php53-13961
SUSE Linux Enterprise Server 12 SP3
  • gd >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-747
SUSE Linux Enterprise Server 12 SP4
  • gd >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-747
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2-mod_php53 >= 5.3.17-112.53.1
  • php53 >= 5.3.17-112.53.1
  • php53-bcmath >= 5.3.17-112.53.1
  • php53-bz2 >= 5.3.17-112.53.1
  • php53-calendar >= 5.3.17-112.53.1
  • php53-ctype >= 5.3.17-112.53.1
  • php53-curl >= 5.3.17-112.53.1
  • php53-dba >= 5.3.17-112.53.1
  • php53-dom >= 5.3.17-112.53.1
  • php53-exif >= 5.3.17-112.53.1
  • php53-fastcgi >= 5.3.17-112.53.1
  • php53-fileinfo >= 5.3.17-112.53.1
  • php53-ftp >= 5.3.17-112.53.1
  • php53-gd >= 5.3.17-112.53.1
  • php53-gettext >= 5.3.17-112.53.1
  • php53-gmp >= 5.3.17-112.53.1
  • php53-iconv >= 5.3.17-112.53.1
  • php53-intl >= 5.3.17-112.53.1
  • php53-json >= 5.3.17-112.53.1
  • php53-ldap >= 5.3.17-112.53.1
  • php53-mbstring >= 5.3.17-112.53.1
  • php53-mcrypt >= 5.3.17-112.53.1
  • php53-mysql >= 5.3.17-112.53.1
  • php53-odbc >= 5.3.17-112.53.1
  • php53-openssl >= 5.3.17-112.53.1
  • php53-pcntl >= 5.3.17-112.53.1
  • php53-pdo >= 5.3.17-112.53.1
  • php53-pear >= 5.3.17-112.53.1
  • php53-pgsql >= 5.3.17-112.53.1
  • php53-pspell >= 5.3.17-112.53.1
  • php53-shmop >= 5.3.17-112.53.1
  • php53-snmp >= 5.3.17-112.53.1
  • php53-soap >= 5.3.17-112.53.1
  • php53-suhosin >= 5.3.17-112.53.1
  • php53-sysvmsg >= 5.3.17-112.53.1
  • php53-sysvsem >= 5.3.17-112.53.1
  • php53-sysvshm >= 5.3.17-112.53.1
  • php53-tokenizer >= 5.3.17-112.53.1
  • php53-wddx >= 5.3.17-112.53.1
  • php53-xmlreader >= 5.3.17-112.53.1
  • php53-xmlrpc >= 5.3.17-112.53.1
  • php53-xmlwriter >= 5.3.17-112.53.1
  • php53-xsl >= 5.3.17-112.53.1
  • php53-zip >= 5.3.17-112.53.1
  • php53-zlib >= 5.3.17-112.53.1
Patchnames:
slessp4-php53-13961
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • gd >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-747
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • gd >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-747
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53 >= 5.3.17-112.53.1
  • php53-devel >= 5.3.17-112.53.1
  • php53-imap >= 5.3.17-112.53.1
  • php53-posix >= 5.3.17-112.53.1
  • php53-readline >= 5.3.17-112.53.1
  • php53-sockets >= 5.3.17-112.53.1
  • php53-sqlite >= 5.3.17-112.53.1
  • php53-tidy >= 5.3.17-112.53.1
Patchnames:
sdksp4-php53-13961
SUSE Linux Enterprise Software Development Kit 12 SP3
  • gd >= 2.1.0-24.12.1
  • gd-devel >= 2.1.0-24.12.1
  • php7 >= 7.0.7-50.63.1
  • php7-devel >= 7.0.7-50.63.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-333
SUSE-SLE-SDK-12-SP3-2019-747
SUSE Linux Enterprise Software Development Kit 12 SP4
  • gd >= 2.1.0-24.12.1
  • gd-devel >= 2.1.0-24.12.1
  • php7 >= 7.0.7-50.63.1
  • php7-devel >= 7.0.7-50.63.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-333
SUSE-SLE-SDK-12-SP4-2019-747
SUSE Linux Enterprise Workstation Extension 12 SP3
  • gd >= 2.1.0-24.12.1
  • gd-32bit >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-WE-12-SP3-2019-747
SUSE Linux Enterprise Workstation Extension 12 SP4
  • gd >= 2.1.0-24.12.1
  • gd-32bit >= 2.1.0-24.12.1
Patchnames:
SUSE-SLE-WE-12-SP4-2019-747
openSUSE Leap 15.0
  • gd >= 2.2.5-lp150.8.1
  • gd-debuginfo >= 2.2.5-lp150.8.1
  • gd-debugsource >= 2.2.5-lp150.8.1
  • gd-devel >= 2.2.5-lp150.8.1
  • libgd3 >= 2.2.5-lp150.8.1
  • libgd3-32bit >= 2.2.5-lp150.8.1
  • libgd3-32bit-debuginfo >= 2.2.5-lp150.8.1
  • libgd3-debuginfo >= 2.2.5-lp150.8.1
Patchnames:
openSUSE-2019-1148
openSUSE Leap 42.3
  • apache2-mod_php7 >= 7.0.7-55.1
  • apache2-mod_php7-debuginfo >= 7.0.7-55.1
  • gd >= 2.1.0-30.1
  • gd-32bit >= 2.1.0-30.1
  • gd-debuginfo >= 2.1.0-30.1
  • gd-debuginfo-32bit >= 2.1.0-30.1
  • gd-debugsource >= 2.1.0-30.1
  • gd-devel >= 2.1.0-30.1
  • php7 >= 7.0.7-55.1
  • php7-bcmath >= 7.0.7-55.1
  • php7-bcmath-debuginfo >= 7.0.7-55.1
  • php7-bz2 >= 7.0.7-55.1
  • php7-bz2-debuginfo >= 7.0.7-55.1
  • php7-calendar >= 7.0.7-55.1
  • php7-calendar-debuginfo >= 7.0.7-55.1
  • php7-ctype >= 7.0.7-55.1
  • php7-ctype-debuginfo >= 7.0.7-55.1
  • php7-curl >= 7.0.7-55.1
  • php7-curl-debuginfo >= 7.0.7-55.1
  • php7-dba >= 7.0.7-55.1
  • php7-dba-debuginfo >= 7.0.7-55.1
  • php7-debuginfo >= 7.0.7-55.1
  • php7-debugsource >= 7.0.7-55.1
  • php7-devel >= 7.0.7-55.1
  • php7-dom >= 7.0.7-55.1
  • php7-dom-debuginfo >= 7.0.7-55.1
  • php7-enchant >= 7.0.7-55.1
  • php7-enchant-debuginfo >= 7.0.7-55.1
  • php7-exif >= 7.0.7-55.1
  • php7-exif-debuginfo >= 7.0.7-55.1
  • php7-fastcgi >= 7.0.7-55.1
  • php7-fastcgi-debuginfo >= 7.0.7-55.1
  • php7-fileinfo >= 7.0.7-55.1
  • php7-fileinfo-debuginfo >= 7.0.7-55.1
  • php7-firebird >= 7.0.7-55.1
  • php7-firebird-debuginfo >= 7.0.7-55.1
  • php7-fpm >= 7.0.7-55.1
  • php7-fpm-debuginfo >= 7.0.7-55.1
  • php7-ftp >= 7.0.7-55.1
  • php7-ftp-debuginfo >= 7.0.7-55.1
  • php7-gd >= 7.0.7-55.1
  • php7-gd-debuginfo >= 7.0.7-55.1
  • php7-gettext >= 7.0.7-55.1
  • php7-gettext-debuginfo >= 7.0.7-55.1
  • php7-gmp >= 7.0.7-55.1
  • php7-gmp-debuginfo >= 7.0.7-55.1
  • php7-iconv >= 7.0.7-55.1
  • php7-iconv-debuginfo >= 7.0.7-55.1
  • php7-imap >= 7.0.7-55.1
  • php7-imap-debuginfo >= 7.0.7-55.1
  • php7-intl >= 7.0.7-55.1
  • php7-intl-debuginfo >= 7.0.7-55.1
  • php7-json >= 7.0.7-55.1
  • php7-json-debuginfo >= 7.0.7-55.1
  • php7-ldap >= 7.0.7-55.1
  • php7-ldap-debuginfo >= 7.0.7-55.1
  • php7-mbstring >= 7.0.7-55.1
  • php7-mbstring-debuginfo >= 7.0.7-55.1
  • php7-mcrypt >= 7.0.7-55.1
  • php7-mcrypt-debuginfo >= 7.0.7-55.1
  • php7-mysql >= 7.0.7-55.1
  • php7-mysql-debuginfo >= 7.0.7-55.1
  • php7-odbc >= 7.0.7-55.1
  • php7-odbc-debuginfo >= 7.0.7-55.1
  • php7-opcache >= 7.0.7-55.1
  • php7-opcache-debuginfo >= 7.0.7-55.1
  • php7-openssl >= 7.0.7-55.1
  • php7-openssl-debuginfo >= 7.0.7-55.1
  • php7-pcntl >= 7.0.7-55.1
  • php7-pcntl-debuginfo >= 7.0.7-55.1
  • php7-pdo >= 7.0.7-55.1
  • php7-pdo-debuginfo >= 7.0.7-55.1
  • php7-pear >= 7.0.7-55.1
  • php7-pear-Archive_Tar >= 7.0.7-55.1
  • php7-pgsql >= 7.0.7-55.1
  • php7-pgsql-debuginfo >= 7.0.7-55.1
  • php7-phar >= 7.0.7-55.1
  • php7-phar-debuginfo >= 7.0.7-55.1
  • php7-posix >= 7.0.7-55.1
  • php7-posix-debuginfo >= 7.0.7-55.1
  • php7-pspell >= 7.0.7-55.1
  • php7-pspell-debuginfo >= 7.0.7-55.1
  • php7-readline >= 7.0.7-55.1
  • php7-readline-debuginfo >= 7.0.7-55.1
  • php7-shmop >= 7.0.7-55.1
  • php7-shmop-debuginfo >= 7.0.7-55.1
  • php7-snmp >= 7.0.7-55.1
  • php7-snmp-debuginfo >= 7.0.7-55.1
  • php7-soap >= 7.0.7-55.1
  • php7-soap-debuginfo >= 7.0.7-55.1
  • php7-sockets >= 7.0.7-55.1
  • php7-sockets-debuginfo >= 7.0.7-55.1
  • php7-sqlite >= 7.0.7-55.1
  • php7-sqlite-debuginfo >= 7.0.7-55.1
  • php7-sysvmsg >= 7.0.7-55.1
  • php7-sysvmsg-debuginfo >= 7.0.7-55.1
  • php7-sysvsem >= 7.0.7-55.1
  • php7-sysvsem-debuginfo >= 7.0.7-55.1
  • php7-sysvshm >= 7.0.7-55.1
  • php7-sysvshm-debuginfo >= 7.0.7-55.1
  • php7-tidy >= 7.0.7-55.1
  • php7-tidy-debuginfo >= 7.0.7-55.1
  • php7-tokenizer >= 7.0.7-55.1
  • php7-tokenizer-debuginfo >= 7.0.7-55.1
  • php7-wddx >= 7.0.7-55.1
  • php7-wddx-debuginfo >= 7.0.7-55.1
  • php7-xmlreader >= 7.0.7-55.1
  • php7-xmlreader-debuginfo >= 7.0.7-55.1
  • php7-xmlrpc >= 7.0.7-55.1
  • php7-xmlrpc-debuginfo >= 7.0.7-55.1
  • php7-xmlwriter >= 7.0.7-55.1
  • php7-xmlwriter-debuginfo >= 7.0.7-55.1
  • php7-xsl >= 7.0.7-55.1
  • php7-xsl-debuginfo >= 7.0.7-55.1
  • php7-zip >= 7.0.7-55.1
  • php7-zip-debuginfo >= 7.0.7-55.1
  • php7-zlib >= 7.0.7-55.1
  • php7-zlib-debuginfo >= 7.0.7-55.1
Patchnames:
openSUSE-2019-1140
openSUSE-2019-207


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 gd Released
SUSE Linux Enterprise Desktop 12 SP4 gd Released
SUSE Linux Enterprise High Performance Computing 12 gd Released
SUSE Linux Enterprise Module for Basesystem 15 GA gd Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA gd Released
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Released
SUSE Linux Enterprise Module for Web and Scripting 15 php7 Not affected
SUSE Linux Enterprise SDK 11 SP4 gd In progress
SUSE Linux Enterprise SDK 11 SP4 php53 Released
SUSE Linux Enterprise SDK 12 SP3 gd Released
SUSE Linux Enterprise SDK 12 SP3 php7 Released
SUSE Linux Enterprise SDK 12 SP4 gd Released
SUSE Linux Enterprise SDK 12 SP4 php5 Not affected
SUSE Linux Enterprise SDK 12 SP4 php7 Released
SUSE Linux Enterprise Server 11 SP3 LTSS gd Affected
SUSE Linux Enterprise Server 11 SP3 LTSS php53 Not affected
SUSE Linux Enterprise Server 11 SP4 gd In progress
SUSE Linux Enterprise Server 11 SP4 php53 Released
SUSE Linux Enterprise Server 12 GA LTSS gd Affected
SUSE Linux Enterprise Server 12 SP1 LTSS gd Affected
SUSE Linux Enterprise Server 12 SP2 LTSS gd Affected
SUSE Linux Enterprise Server 12 SP3 gd Released
SUSE Linux Enterprise Server 12 SP4 gd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 gd Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 php53 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA gd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gd Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gd Released
SUSE Linux Enterprise Workstation Extension 12 SP3 gd Released
SUSE Linux Enterprise Workstation Extension 12 SP4 gd Released